package de.dhbwstuttgart.target.tree.expression;

import de.dhbwstuttgart.target.tree.type.TargetType;

public record TargetExpressionPattern(TargetExpression expression) implements TargetPattern {
    @Override
    public TargetPattern withType(TargetType type) {
        return this;
    }

    @Override
    public TargetType type() {
        return expression.type();
    }

    @Override
    public TargetPattern withName(String name) {
        return this;
    }
}
